Merge master into staging-next

This commit is contained in:
github-actions[bot] 2022-08-09 06:01:28 +00:00 committed by GitHub
commit 1dea3a42f6
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
7 changed files with 175 additions and 139 deletions

View file

@ -4,15 +4,15 @@
, SDL2
}:
stdenv.mkDerivation rec {
stdenv.mkDerivation (finalAttrs: {
pname = "x16-emulator";
version = "40";
version = "41";
src = fetchFromGitHub {
owner = "commanderx16";
repo = pname;
rev = "r${version}";
hash = "sha256-7ZzVd2NJCFNAFrS2cj6bxcq/AzO5VakoFX9o1Ac9egg=";
repo = "x16-emulator";
rev = "r${finalAttrs.version}";
hash = "sha256-pnWqtSXQzUfQ8ADIXL9r2YjuBwHDQ2NAffAEFCN5Qzw=";
};
dontConfigure = true;
@ -23,23 +23,24 @@ stdenv.mkDerivation rec {
runHook preInstall
install -Dm 755 -t $out/bin/ x16emu
install -Dm 444 -t $out/share/doc/${pname} README.md
install -Dm 444 -t $out/share/doc/x16-emulator/ README.md
runHook postInstall
'';
meta = with lib; {
description = "The official emulator of CommanderX16 8-bit computer";
homepage = "https://www.commanderx16.com/forum/index.php?/home/";
description = "The official emulator of CommanderX16 8-bit computer";
license = licenses.bsd2;
maintainers = with maintainers; [ AndersonTorres ];
mainProgram = "x16emu";
inherit (SDL2.meta) platforms;
broken = with stdenv; isDarwin && isAarch64;
};
passthru = {
# upstream project recommends emulator and rom synchronized;
# upstream project recommends emulator and rom to be synchronized;
# passing through the version is useful to ensure this
inherit version;
inherit (finalAttrs) version;
};
}
})

View file

@ -5,15 +5,15 @@
, python3
}:
stdenv.mkDerivation rec {
stdenv.mkDerivation (finalAttrs: {
pname = "x16-rom";
version = "40";
version = "41";
src = fetchFromGitHub {
owner = "commanderx16";
repo = pname;
rev = "r${version}";
hash = "sha256-5oqttuTJiJOUENncOJipAar22OsI1uG3G69m+eYoSh0=";
repo = "x16-rom";
rev = "r${finalAttrs.version}";
hash = "sha256-kowdyUVi3hliqkL8VQo5dS3Dpxd4LQi5+5brkdnv0lE=";
};
nativeBuildInputs = [
@ -30,8 +30,8 @@ stdenv.mkDerivation rec {
installPhase = ''
runHook preInstall
install -Dm 444 -t $out/share/${pname} build/x16/rom.bin
install -Dm 444 -t $out/share/doc/${pname} README.md
install -Dm 444 -t $out/share/x16-rom/ build/x16/rom.bin
install -Dm 444 -t $out/share/doc/x16-rom/ README.md
runHook postInstall
'';
@ -42,11 +42,12 @@ stdenv.mkDerivation rec {
license = licenses.bsd2;
maintainers = with maintainers; [ AndersonTorres ];
inherit (cc65.meta) platforms;
broken = with stdenv; isDarwin && isAarch64;
};
passthru = {
# upstream project recommends emulator and rom synchronized;
# upstream project recommends emulator and rom to be synchronized;
# passing through the version is useful to ensure this
inherit version;
inherit (finalAttrs) version;
};
}
})

View file

@ -1,54 +1,38 @@
{ stdenv, lib, fetchurl, autoreconfHook, pkg-config, texinfo
, netcat-gnu, gnutls, gsasl, libidn2, Security
, withKeyring ? true, libsecret ? null
, systemd ? null }:
{ resholve
, stdenv
, symlinkJoin
, lib
, fetchFromGitHub
, autoreconfHook
, pkg-config
, bash
, coreutils
, gnugrep
, gnutls
, gsasl
, libidn2
, netcat-gnu
, texinfo
, which
, Security
, withKeyring ? true
, libsecret ? null
, withSystemd ? stdenv.isLinux
, systemd ? null
}:
let
tester = "n"; # {x| |p|P|n|s}
journal = if stdenv.isLinux then "y" else "n";
inherit (lib) getBin getExe optionals;
in stdenv.mkDerivation rec {
pname = "msmtp";
version = "1.8.20";
src = fetchurl {
url = "https://marlam.de/${pname}/releases/${pname}-${version}.tar.xz";
sha256 = "sha256-2TriqvwPSK99ydCzlN8buABYi4tOjQltizzyJTROsRE=";
src = fetchFromGitHub {
owner = "marlam";
repo = "msmtp-mirror";
rev = "msmtp-${version}";
hash = "sha256-RcQZ7Vm8UjJJoogkmUmZ+/2fz7C4AcVYY/kTOlfz7+I=";
};
patches = [
./paths.patch
];
buildInputs = [ gnutls gsasl libidn2 ]
++ lib.optional stdenv.isDarwin Security
++ lib.optional withKeyring libsecret;
nativeBuildInputs = [ autoreconfHook pkg-config texinfo ];
configureFlags = [ "--sysconfdir=/etc" "--with-libgsasl" ]
++ lib.optional stdenv.isDarwin [ "--with-macosx-keyring" ];
postInstall = ''
install -d $out/share/doc/${pname}/scripts
cp -r scripts/{find_alias,msmtpqueue,msmtpq,set_sendmail} $out/share/doc/${pname}/scripts
install -Dm644 doc/*.example $out/share/doc/${pname}
substitute scripts/msmtpq/msmtpq $out/bin/msmtpq \
--replace @msmtp@ $out/bin/msmtp \
--replace @nc@ ${netcat-gnu}/bin/nc \
--replace @journal@ ${journal} \
${lib.optionalString (journal == "y") "--replace @systemdcat@ ${systemd}/bin/systemd-cat" } \
--replace @test@ ${tester}
substitute scripts/msmtpq/msmtp-queue $out/bin/msmtp-queue \
--replace @msmtpq@ $out/bin/msmtpq
ln -s msmtp $out/bin/sendmail
chmod +x $out/bin/*
'';
meta = with lib; {
description = "Simple and easy to use SMTP client with excellent sendmail compatibility";
homepage = "https://marlam.de/msmtp/";
@ -56,4 +40,92 @@ in stdenv.mkDerivation rec {
maintainers = with maintainers; [ peterhoeg ];
platforms = platforms.unix;
};
binaries = stdenv.mkDerivation rec {
pname = "msmtp-binaries";
inherit version src meta;
configureFlags = [ "--sysconfdir=/etc" "--with-libgsasl" ]
++ optionals stdenv.isDarwin [ "--with-macosx-keyring" ];
buildInputs = [ gnutls gsasl libidn2 ]
++ optionals stdenv.isDarwin [ Security ]
++ optionals withKeyring [ libsecret ];
nativeBuildInputs = [ autoreconfHook pkg-config texinfo ];
enableParallelBuilding = true;
postInstall = ''
install -Dm444 -t $out/share/doc/msmtp doc/*.example
ln -s msmtp $out/bin/sendmail
'';
};
scripts = resholve.mkDerivation rec {
pname = "msmtp-scripts";
inherit version src meta;
patches = [ ./paths.patch ];
postPatch = ''
substituteInPlace scripts/msmtpq/msmtpq \
--replace @journal@ ${if withSystemd then "Y" else "N"}
'';
dontConfigure = true;
dontBuild = true;
installPhase = ''
runHook preInstall
install -Dm555 -t $out/bin scripts/msmtpq/msmtp*
install -Dm444 -t $out/share/doc/msmtp/scripts scripts/msmtpq/README*
install -Dm444 -t $out/share/doc/msmtp/scripts scripts/{find_alias,msmtpqueue,set_sendmail}/*
if grep --quiet -E '@.+@' $out/bin/*; then
echo "Unsubstituted variables found. Aborting!"
grep -E '@.+@' $out/bin/*
exit 1
fi
runHook postInstall
'';
solutions = {
msmtpq = {
scripts = [ "bin/msmtpq" ];
interpreter = getExe bash;
inputs = [
binaries
coreutils
gnugrep
netcat-gnu
which
] ++ optionals withSystemd [ systemd ];
execer = [
"cannot:${getBin binaries}/bin/msmtp"
"cannot:${getBin netcat-gnu}/bin/nc"
] ++ optionals withSystemd [
"cannot:${getBin systemd}/bin/systemd-cat"
];
fix."$MSMTP" = [ "msmtp" ];
fake.external = [ "ping" ]
++ optionals (!withSystemd) [ "systemd-cat" ];
};
msmtp-queue = {
scripts = [ "bin/msmtp-queue" ];
interpreter = getExe bash;
inputs = [ "${placeholder "out"}/bin" ];
execer = [ "cannot:${placeholder "out"}/bin/msmtpq" ];
};
};
};
in
symlinkJoin {
name = "msmtp-${version}";
inherit version meta;
paths = [ binaries scripts ];
}

View file

@ -1,61 +1,31 @@
diff --git a/scripts/msmtpq/msmtp-queue b/scripts/msmtpq/msmtp-queue
index 1dc220d..d834241 100755
--- a/scripts/msmtpq/msmtp-queue
+++ b/scripts/msmtpq/msmtp-queue
@@ -27,4 +27,4 @@
## change the below line to be
## exec /path/to/msmtpq --q-mgmt
-exec msmtpq --q-mgmt "$1"
+exec @msmtpq@ --q-mgmt "$1"
diff --git a/scripts/msmtpq/msmtpq b/scripts/msmtpq/msmtpq
index bdb4fb8..1363a67 100755
index 1b39fc6..4baa19b 100755
--- a/scripts/msmtpq/msmtpq
+++ b/scripts/msmtpq/msmtpq
@@ -59,7 +59,7 @@ err() { dsp '' "$@" '' ; exit 1 ; }
## enter the location of the msmtp executable (no quotes !!)
## e.g. ( MSMTP=/path/to/msmtp )
## and uncomment the test for its existence
-MSMTP=msmtp
+MSMTP=@msmtp@
#[ -x "$MSMTP" ] || \
# log -e 1 "msmtpq : can't find the msmtp executable [ $MSMTP ]" # if not found - complain ; quit
##
@@ -70,9 +70,9 @@ MSMTP=msmtp
@@ -70,8 +70,8 @@ MSMTP=msmtp
## ( chmod 0700 msmtp.queue )
##
## the queue dir - modify this to reflect where you'd like it to be (no quotes !!)
-Q=~/.msmtp.queue
-[ -d "$Q" ] || mkdir -m 0700 "$Q" || \
- err '' "msmtpq : can't find or create msmtp queue directory [ $Q ]" '' # if not present - complain ; quit
+Q=${MSMTP_QUEUE:-~/.msmtp.queue}
+[ -d "$Q" ] || mkdir -m 0700 -p "$Q" || \
+ err '' "msmtpq : can't find or create msmtp queue directory [ $Q ]" '' # if not present - complain ; quit
err '' "msmtpq : can't find or create msmtp queue directory [ $Q ]" '' # if not present - complain ; quit
##
## set the queue log file var to the location of the msmtp queue log file
## where it is or where you'd like it to be
@@ -84,7 +83,10 @@ Q=~/.msmtp.queue
@@ -84,7 +84,10 @@ Q=~/.msmtp.queue
## (doing so would be inadvisable under most conditions, however)
##
## the queue log file - modify (or comment out) to taste (but no quotes !!)
-LOG=~/log/msmtp.queue.log
+LOG=${MSMTP_LOG:-~/log/msmtp.queue.log}
+test -d "$(dirname $LOG)" || mkdir -p "$(dirname $LOG)"
+[ -d "$(dirname "$LOG")" ] || mkdir -p "$(dirname "$LOG")"
+
+JOURNAL=@journal@
## ======================================================================================
## msmtpq can use the following environment variables :
@@ -108,7 +110,7 @@ LOG=~/log/msmtp.queue.log
##
#EMAIL_CONN_NOTEST=y # deprecated ; use below var
#EMAIL_CONN_TEST={x| |p|P|n|s} # see settings above for EMAIL_CONN_TEST
-EMAIL_CONN_TEST=n
+EMAIL_CONN_TEST=@test@
#EMAIL_QUEUE_QUIET=t
## ======================================================================================
@@ -138,6 +140,7 @@ on_exit() { # unlock the queue on exit if the lock was
@@ -138,6 +141,7 @@ on_exit() { # unlock the queue on exit if the lock was
## display msg to user, as well
##
log() {
@ -63,15 +33,14 @@ index bdb4fb8..1363a67 100755
local ARG RC PFX
PFX="$('date' +'%Y %d %b %H:%M:%S')"
# time stamp prefix - "2008 13 Mar 03:59:45 "
if [ "$1" = '-e' ] ; then # there's an error exit code
@@ -154,10 +157,19 @@ log() {
@@ -155,10 +159,19 @@ log() {
done
fi
+ if [ "$JOURNAL" == "y" ] ; then
+ if [ "$JOURNAL" == "Y" ]; then
+ for ARG ; do
+ [ -n "$ARG" ] && \
+ echo "$PFX : $ARG" | @systemdcat@ -t $NAME -p info
+ echo "$ARG" | systemd-cat -t $NAME -p info
+ done
+ fi
+
@ -79,20 +48,8 @@ index bdb4fb8..1363a67 100755
[ -n "$LKD" ] && lock_queue -u # unlock here (if locked)
[ -n "$LOG" ] && \
echo " exit code = $RC" >> "$LOG" # logging ok ; send exit code to log
+ [ "$JOURNAL" == "y" ] && \
+ echo "exit code= $RC" | @systemdcat@ -t $NAME -p emerg
exit $RC # exit w/return code
+ [ "$JOURNAL" == "Y" ] && \
+ echo "exit code= $RC" | systemd-cat -t $NAME -p emerg
exit "$RC" # exit w/return code
fi
}
@@ -207,10 +219,7 @@ connect_test() {
ping -qnc1 -w4 8.8.8.8 >/dev/null 2>&1 || return 1
elif [ "$EMAIL_CONN_TEST" = 'n' ] ; then # use netcat (nc) test
- # must, of course, have netcat (nc) installed
- which nc >/dev/null 2>&1 || \
- log -e 1 "msmtpq : can't find netcat executable [ nc ]" # if not found - complain ; quit
- 'nc' -vz www.debian.org 80 >/dev/null 2>&1 || return 1
+ @nc@ -vz www.debian.org 80 >/dev/null 2>&1 || return 1
elif [ "$EMAIL_CONN_TEST" = 's' ] ; then # use sh sockets test
# note that this does not work on debian systems

View file

@ -2,15 +2,17 @@
crystal.buildCrystalPackage rec {
pname = "ameba";
version = "0.14.3";
version = "1.0.1";
src = fetchFromGitHub {
owner = "crystal-ameba";
repo = "ameba";
rev = "v${version}";
sha256 = "sha256-oZdaHV+vnYUiCXNMrSuHvZzDYDgFZsoD715DE3tJ2bE=";
hash = "sha256-dvhGk6IbSV3pxtoIV7+0+qf47hz2TooPhsSwFd2+xkw=";
};
format = "make";
meta = with lib; {
description = "A static code analysis tool for Crystal";
homepage = "https://crystal-ameba.github.io";

View file

@ -852,6 +852,8 @@ let
MOUSE_PS2_VMMOUSE = yes;
MTRR_SANITIZER = yes;
NET_FC = yes; # Fibre Channel driver support
# Needed for touchpads to work on some AMD laptops
PINCTRL_AMD = whenAtLeast "5.19" yes;
# GPIO on Intel Bay Trail, for some Chromebook internal eMMC disks
PINCTRL_BAYTRAIL = yes;
# GPIO for Braswell and Cherryview devices

View file

@ -1,28 +1,29 @@
{ lib, stdenv, fetchurl }:
{ lib, stdenv, fetchFromGitHub, installShellFiles }:
stdenv.mkDerivation rec {
pname = "p910nd";
version = "0.97";
src = fetchurl {
sha256 = "0vy2qf386dif1nqznmy3j953mq7c4lk6j2hgyzkbmfi4msiq1jaa";
url = "mirror://sourceforge/p910nd/${pname}-${version}.tar.bz2";
src = fetchFromGitHub {
owner = "kenyapcomau";
repo = "p910nd";
rev = version;
hash = "sha256-MM4o7d3L3XIRYWJ/KPM2OltlVfVA/BgMuyhJMm/BS3c=";
};
postPatch = ''
substituteInPlace Makefile --replace "/usr" ""
substituteInPlace Makefile --replace "gcc" "${stdenv.cc.targetPrefix}cc"
'';
nativeBuildInputs = [ installShellFiles ];
makeFlags = [ "DESTDIR=$(out)" "BINDIR=/bin" ];
enableParallelBuilding = true;
postInstall = ''
# Match the man page:
mv $out/etc/init.d/p910nd{,.sh}
# instead of mucking around with the Makefile, just install the bits we need
installPhase = ''
runHook preInstall
# The legacy init script is useful only (and even then...) as an example:
mkdir -p $out/share/doc/examples
mv $out/etc $out/share/doc/examples
install -Dm555 -t $out/bin p910nd
install -Dm444 -t $out/share/doc/p910nd *.md
installManPage p910nd.?
runHook postInstall
'';
meta = with lib; {
@ -37,9 +38,9 @@ stdenv.mkDerivation rec {
the AppSocket protocol and has the scheme socket://. LPRng also supports
this protocol and the syntax is lp=remotehost%9100 in /etc/printcap.
'';
homepage = "http://p910nd.sourceforge.net/";
downloadPage = "https://sourceforge.net/projects/p910nd/";
license = licenses.gpl2;
homepage = "https://github.com/kenyapcomau/p910nd";
license = licenses.gpl2Only;
maintainers = with maintainers; [ peterhoeg ];
platforms = platforms.unix;
};
}